Cadastra ou atualiza o tomador

Cadastra ou atualiza o tomador.

POST https://platform.flowfinance.com.br/banking/originator/persons

Headers: Authorization: Bearer {{access_token}} · Content-Type: application/json

Body (estrutura)

CampoTipoNotas
taxpayer_idstringCPF
nationalitystring
pepboolPessoa exposta politicamente
full_namestring
phoneobjectcountry_code ("55"), area_code, number
occupationstring
birth_datestring (date)
marital_statusstring
email_addressstring
mothers_namestring
marital_property_systemstringRegime de bens
id_documentobjectnumber, issuer, issue_date, type
sexstring
addressobjectstreet_name, street_number (int), postal_code, district, city, state_code, country_code, extra_info
pixobjectkey, key_type
external_bank_accountnullFixo null
custom_variablesobjectFixo
spouse_full_name / spouse_taxpayer_id / spouse_date_of_birthstringCônjuge
birthplacestring
monthly_incomenumber
income_rangenullFixo null
has_scr_evidenceboolFixo false
education_levelstring

Exemplo (cURL)

curl -X POST "https://platform.flowfinance.com.br/banking/originator/persons" \
  -H "Authorization: Bearer {{access_token}}" \
  -H "Content-Type: application/json" \
  -d '{
    "taxpayer_id": "{{taxpayer_id}}",
    "nationality": "{{nationality}}",
    "pep": false,
    "full_name": "{{full_name}}",
    "phone": { "country_code": "55", "area_code": "{{phone_area_code}}", "number": "{{phone_number}}" },
    "birth_date": "{{birth_date}}",
    "id_document": { "number": "{{id_document_number}}", "issuer": "{{id_issuer}}", "issue_date": "{{id_issue_date}}", "type": "{{id_type}}" },
    "address": { "street_name": "{{street_name}}", "street_number": 100, "postal_code": "{{postal_code}}", "district": "{{district}}", "city": "{{city}}", "state_code": "{{state_code}}", "country_code": "{{country_code}}", "extra_info": "{{extra_info}}" },
    "pix": { "key": "{{pix_key}}", "key_type": "{{pix_key_type}}" },
    "external_bank_account": null,
    "custom_variables": {},
    "monthly_income": 3000,
    "income_range": null,
    "has_scr_evidence": false,
    "education_level": "{{education_level}}"
  }'

Nota: O corpo completo (incluindo cônjuge, marital_property_system, birthplace, etc.) está na collection original. Acima, um subconjunto representativo.

Resposta 200/201

{
  "id": "person_..."
}

Efeitos: Grava borrower_id (= id).